%define ocamlpck  ounit2

Name:          ocaml-ounit
Version:       2.2.7
Release:       1mamba
Summary:       Ocaml Unit testing framework
Group:         System/Libraries/OCaml
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/gildor478/ounit
Source:        https://github.com/gildor478/ounit.git/v%{version}/ounit-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ocaml
BuildRequires: ocaml-lwt-devel
BuildRequires: ocaml-runtime
BuildRequires: ocaml-seq-devel
## AUTOBUILDREQ-END
BuildRequires: ocaml >= 4.14.1
BuildRequires: camlp4
BuildRequires: ocaml-findlib
BuildRequires: ocaml-lwt-devel >= 5.6.1-2mamba
BuildRequires: ocaml-seq-devel >= 0.2.2-2mamba
BuildRequires: ocaml-result >= 1.5-3mamba
Requires:      ocaml-runtime

%description
Ocaml Unit testing framework.

%package devel
Group:         Development/Libraries/OCaml
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n ounit-%{version}

%build
dune build --release --verbose

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
DESTDIR="%{buildroot}" dune install --prefix '%{_prefix}' --libdir '%{_libdir}/ocaml' --release --verbose

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/ounit
%{_libdir}/ocaml/ounit/*
%dir %{_libdir}/ocaml/ounit-lwt
%{_libdir}/ocaml/ounit-lwt/*
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}*/*
%exclude %{_libdir}/ocaml/%{ocamlpck}*/*.a
%exclude %{_libdir}/ocaml/%{ocamlpck}*/*.cmx
%exclude %{_libdir}/ocaml/%{ocamlpck}*/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlpck}*/*.mli
%exclude %{_libdir}/ocaml/%{ocamlpck}_lwt/*.mli
%doc LICENSE.txt

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}*/*.a
%{_libdir}/ocaml/%{ocamlpck}*/*.cmx
%{_libdir}/ocaml/%{ocamlpck}*/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}*/*.mli
%doc CHANGES.md README.md

%changelog
* Thu Jul 06 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.7-1mamba
- update to 2.2.7
- rebuilt with ocaml 4.14.1

* Sat Feb 12 2022 Automatic Build System <autodist@mambasoft.it> 2.2.6-1mamba
- automatic version update by autodist

* Sun Feb 06 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.5-1mamba
- update to 2.2.5

* Thu May 26 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-1mamba
- package created using the webbuild interface
